/** Diese Klasse reprsentiert Waggons, die Autos transportieren. Sie haben
 *  eine maximal mgliche Kapzitt an zu transportierenden Autos.
 *
 * @author Kirsten
 * @version 1.0
 */

//Diese Klasse gehrt zum package waggons
package zuege.waggons;

//Diese Klasse ist final. Sie kann nicht mehr als Oberklasse fr Vererbung
//eingesetzt werden.

final public class Autowaggon extends Waggon
{
    //Anzahl der Stellpltze
    private int anzahl;

    /** Konstruktor fr einen Autowaggon
     * @param anzahl Anzahl der Stellpltze fr Autos
     * @param laenge Lnge des Waggons
     */
    public Autowaggon(int anzahl, float laenge)
    {
	//Aufruf des Konstruktors der Oberklasse, um die Lnge zu 
	//initialisieren
	super(laenge);
	
	//Anzahl der Stellpltze initialisieren
	this.anzahl = anzahl;	 
    }

    /** Methode, die die Anzahl der Stellpltze zurckliefert
     * @return Anzahl der Stellpltze fr Autos
     */
    public int getAnzahl()
    {
	return anzahl;
    }

    /** Methode zur Ausgabe von Autowaggons als Zeichenkette#
     * @return Zeichenkette, die den Typ des Waggons, die Anzahl der 
     * Stellpltze sowie die Lnge des Waggons enthlt
     */
    public String toString()
    {
	String ergebnis = "Autowagen mit Kapazitaet "+ anzahl + 
	                  " der Laenge " + laenge;
	return ergebnis;
    }
}
